<?php

/**
 * @file
 *
 */

function incubator_mapping_views_pre_render(&$view) {
  if ($view->style_plugin->plugin_name == 'ip_geoloc_leaflet') {
    $defaults = _incubator_mapping_defaults();
    $view->style_plugin->options['map_options']['center_lat'] = $defaults['lat'];
    $view->style_plugin->options['map_options']['center_lon'] = $defaults['lon'];
    $view->style_plugin->options['map_options']['zoom'] = $defaults['zoom'];
  }
}
